Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class WrapperCollections.AbstractWrapperListIterator

`java.lang.Object
com.tangosol.util.WrapperCollections.AbstractWrapperIterator
com.tangosol.util.WrapperCollections.AbstractWrapperListIterator`

All Implemented Interfaces:
  Iterator, ListIterator

Enclosing class:
  WrapperCollections

      public abstract class WrapperCollections.AbstractWrapperListIterator

extends WrapperCollections.AbstractWrapperIterator
implements ListIterator

ListIterator implementation which delegates all calls to another ListIterator.

Field Summary

Fields inherited from class com.tangosol.util.WrapperCollections.AbstractWrapperIterator
`m_iterDelegate`

Constructor Summary
`protected` | `WrapperCollections.AbstractWrapperListIterator(ListIterator iter)` Create an AbstractWrapperListIterator which delegates to the specified ListIterator.

Method Summary
`void` | `add(Object o)` Inserts the specified element into the list (optional operation).
`protected ListIterator` | `getDelegate()` Return the Iterator to which all operations should be delegated to.
`boolean` | `hasPrevious()` Returns `true` if this list iterator has more elements when traversing the list in the reverse direction.
`int` | `nextIndex()` Returns the index of the element that would be returned by a subsequent call to `next`.
`Object` | `previous()` Returns the previous element in the list.
`int` | `previousIndex()` Returns the index of the element that would be returned by a subsequent call to `previous`.
`void` | `set(Object o)` Replaces the last element returned by `next` or `previous` with the specified element (optional operation).

Methods inherited from class com.tangosol.util.WrapperCollections.AbstractWrapperIterator
`equals, hashCode, hasNext, next, remove`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Constructor Detail

### WrapperCollections.AbstractWrapperListIterator

    protected WrapperCollections.AbstractWrapperListIterator(ListIterator iter)

  Create an AbstractWrapperListIterator which delegates to the specified ListIterator.
  Parameters:
    `iter` - the ListIterator to delegate all calls to

Method Detail

### getDelegate

    protected ListIterator getDelegate()

  Return the Iterator to which all operations should be delegated to.
  Overrides:
    `getDelegate` in class `WrapperCollections.AbstractWrapperIterator`
  Returns:
    the wrapped Iterator

### add

    public void add(Object o)

  Inserts the specified element into the list (optional operation). The element is inserted immediately before the next element that would be returned by `next`, if any, and after the next element that would be returned by `previous`, if any. (If the list contains no elements, the new element becomes the sole element on the list.) The new element is inserted before the implicit cursor: a subsequent call to `next` would be unaffected, and a subsequent call to `previous` would return the new element. (This call increases by one the value that would be returned by a call to `nextIndex` or `previousIndex`.)
  Specified by:
    `add` in interface `ListIterator`
  Parameters:
    `o` - the element to insert.

### hasPrevious

    public boolean hasPrevious()

  Returns `true` if this list iterator has more elements when traversing the list in the reverse direction. (In other words, returns `true` if `previous` would return an element rather than throwing an exception.)
  Specified by:
    `hasPrevious` in interface `ListIterator`
  Returns:
    `true` if the list iterator has more elements when traversing the list in the reverse direction.

### nextIndex

    public int nextIndex()

  Returns the index of the element that would be returned by a subsequent call to `next`. (Returns list size if the list iterator is at the end of the list.)
  Specified by:
    `nextIndex` in interface `ListIterator`
  Returns:
    the index of the element that would be returned by a subsequent call to `next`, or list size if list iterator is at end of list.

### previous

    public Object previous()

  Returns the previous element in the list. This method may be called repeatedly to iterate through the list backwards, or intermixed with calls to `next` to go back and forth. (Note that alternating calls to `next` and `previous` will return the same element repeatedly.)
  Specified by:
    `previous` in interface `ListIterator`
  Returns:
    the previous element in the list.

### previousIndex

    public int previousIndex()

  Returns the index of the element that would be returned by a subsequent call to `previous`. (Returns -1 if the list iterator is at the beginning of the list.)
  Specified by:
    `previousIndex` in interface `ListIterator`
  Returns:
    the index of the element that would be returned by a subsequent call to `previous`, or -1 if list iterator is at beginning of list.

### set

    public void set(Object o)

  Replaces the last element returned by `next` or `previous` with the specified element (optional operation). This call can be made only if neither `ListIterator.remove` nor `ListIterator.add` have been called after the last call to `next` or `previous`.
  Specified by:
    `set` in interface `ListIterator`
  Parameters:
    `o` - the element with which to replace the last element returned by `next` or `previous`.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.